Core - Task # 55082

Epic # 55070 (Accepted): Workpackages
Epic # 54542 (Accepted): WP: Importer / Exporter with relations MM/IRRE/FAL

Story # 55520 (Resolved): As an User | want to create exports in v. 6.2 and import them in v. 6.2

Status: Resolved Priority: Should have

Author: Marc Bastian Heinrichs Category: Import/Export (T3D)
Created: 2014-01-16 Assigned To: Marc Bastian Heinrichs
Updated: 2014-03-13 Due date:

TYPOS3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subject: Impexp: for non active controls NULL has to be imported in xml mode

Description

Used in sys_file_reference for overwriteable field from sys_file_metadata

Related issues:
related to Core - Bug # 68602: NULL values in records get transformed to FALS... New

2015-07-29

Associated revisions

Revision 41aedcf6 - 2014-03-13 12:18 - Marc Bastian Heinrichs

[BUGFIX] Fix xml2array values for attributes type NULL

Method array2xml converts elements with value NULL to
nodes with attribute type "NULL" and empty value, e.g.:
<node index="myIndex" type="NULL"></node>

This is not correct transformed back in xml2array and results
in an empty string as value.

This in turn results in wrong imported data using impexp with
xml format.

Resolves: #55082

Releases: 6.2

Change-Id: Icfea2f2b7524c44711866c3f75f06331a1958183
Reviewed-on: https:/review.typo3.org/27845

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Markus Klein
Tested-by: Markus Klein

History

#1 - 2014-01-20 15:32 - Ingo Schmitt
- Category set to Import/Export (T3D)

#2 - 2014-01-31 16:47 - Marc Bastian Heinrichs
- Parent task changed from #54542 to #55520

#3 - 2014-02-25 13:37 - Marc Bastian Heinrichs
https://review.typo3.org/27845

- Subject changed from Impexp: for non active controls NULL has to be imported to Impexp: for non active controls NULL has to be imported in xml

mode
#4 - 2014-02-25 16:13 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27845

#5 - 2014-02-25 16:17 - Marc Bastian Heinrichs
- % Done changed from 0 to 90

#6 - 2014-02-25 16:18 - Marc Bastian Heinrichs

- Assigned To set to Marc Bastian Heinrichs

#7 - 2014-03-12 15:22 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27845

#8 - 2014-03-13 12:30 - Marc Bastian Heinrichs
- Status changed from Under Review to Resolved
- % Done changed from 90 to 100

Applied in changeset commit:41aedcf6edc61c4ad1244591a808b4532e1db28b.
